/* Active/hover links and any highlighted text */
$accentColor = #2fb7ed
/* Standard text color */
$textColor = #000000
/* Custom variable: Assuming dark scheme, light color for text-over-dark bg */
$darkTextColor = #ffffff
/* Code blocks background color */
$codeBgColor = #2F2F2F
/* Custom variable: Dark bg color */
$darkBgColor = #00629C
/* Border color is used both in navbar/sidebar and headings underlines */
$borderColor = $accentColor
/* VuePress has this, no idea where is used */
$arrowBgColor = $darkTextColor

.theme-container .theme-default-content,
.theme-container .page-edit,
.theme-container .page-nav {
  max-width: 80%;
}

.theme-container .navbar,
.theme-container .navbar .links,
.theme-container .search-box input,
.theme-container .sidebar {
  color: $darkTextColor;
  background-color: $darkBgColor;
}

/* .theme-container removed to reduce priority and dont disable pseudos */
.sidebar .sidebar-link,
.navbar .site-name {
  color: $darkTextColor;
}

.sidebar,
.navbar {
  border: none;
}

.theme-container .search-box input:not(:focus) {
  border-color: $darkTextColor;
}

.theme-container .search-box input,
.theme-container .search-box .suggestion a,
.theme-container .nav-links a:hover,
.theme-container .nav-links .router-link-active {
  color: $accentColor;
}

.theme-container .content code {
  background-color: $codeBgColor;
}

/* Reduce default sizes */
table {
  font-size: 0.95em;
}

p {
  line-height: 1.25 !important;
}

body {
  font-family: 'Montserrat', Helvetica, Arial, Lucida, sans-serif;
  font-size: 15px;
  color: $textColor;
}

h1 {
  font-size: 2.0rem;
}

h2
  font-size: 1.5rem;
  padding-bottom: .3rem;
  border-bottom: 1px solid $borderColor;

h3 {
  font-size: 1.25rem;
}

h4 {
  font-size: 1.05rem;
}
